petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSErrorWeightedNorm2

compute a weighted 2-norm of the difference between two state vectors

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedNorm2(TS ts,Vec U,Vec Y,PetscReal *norm)

Collective on TS

### Input Arguments

| ts | - time stepping context
| U | - state vector, usually ts->vec_sol
| Y | - state vector to be compared to U

### Output Arguments

norm -weighted norm, a value of 1.0 is considered small

### See Also

TSErrorWeightedNorm(), TSErrorWeightedNormInfinity()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages